Bug 1105508 - (CVE-2018-13868) VUL-1: CVE-2018-13868: hdf5: heap-based buffer over-read in the function H5O_fill_old_decode in H5Ofill.c
(CVE-2018-13868)
VUL-1: CVE-2018-13868: hdf5: heap-based buffer over-read in the function H5O_...
Status: RESOLVED INVALID
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: HPC Issue Tracker
Security Team bot
https://smash.suse.de/issue/210348/
CVSSv3:SUSE:CVE-2018-13868:3.6:(AV:L...
:
Depends on:
Blocks: 1101742
  Show dependency treegraph
 
Reported: 2018-08-21 13:32 UTC by Marcus Meissner
Modified: 2022-09-07 11:23 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
H5O_fill_old_decode-heap-buffer-overflow (2.50 KB, application/octet-stream)
2018-08-21 13:34 UTC, Marcus Meissner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2018-08-21 13:32:50 UTC
rh#1601464

An issue was discovered in the HDF HDF5 1.8.20 library. There is a heap-based
buffer over-read in the function H5O_fill_old_decode in H5Ofill.c.

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1601464
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-13868
Comment 1 Marcus Meissner 2018-08-21 13:34:31 UTC
Created attachment 780321 [details]
H5O_fill_old_decode-heap-buffer-overflow

QA REPRODUCER:

h5dump H5O_fill_old_decode-heap-buffer-overflow

should not crash
Comment 3 Egbert Eich 2022-05-05 10:41:49 UTC
No upstream fix is available, yet. Reproducer no longer triggers.
Now:
$ h5dump H5O_fill_old_decode-heap-buffer-overflow
h5dump error: internal error (file h5dump.c:line 1487)
Comment 4 Gabriele Sonnu 2022-09-07 11:23:52 UTC
Closing since reproducer no longer triggers.